# Using Flash SMS

A Flash SMS is a type of text message that - without user action - appears directly and fullscreen on the mobile phone. In this article we'll talk about the following topics:

* [Common use cases for Flash SMS](#h_01F9KGR8J9TS64V9MNS3PVCB0Z)
* [Benefits of using Flash SMS](#h_01F9KGRC743P2YTV0FSWC65R2M)
* [How to send Flash SMS](#h_01F9KGRFS67YF02TVHSK1CHBE1)

#### Common use cases for Flash SMS <a href="#h_01f9kgr8j9ts64v9mns3pvcb0z" id="h_01f9kgr8j9ts64v9mns3pvcb0z"></a>

Some of the most common use cases for Flash SMS include the below. Flash SMS are usually suitable to use for time- or content-sensitive information such as:&#x20;

* Emergency notifications
* One-time passwords (OTP)
* Time-critical communication
* Any other type of highly important SMS messages

#### Benefits of using Flash SMS <a href="#h_01f9kgrc743p2ytv0fswc65r2m" id="h_01f9kgrc743p2ytv0fswc65r2m"></a>

Below we have listed a few reasons why you might consider using Flash SMS rather than regular SMS:&#x20;

* Users can't ignore your message because it appears fullscreen and needs to be closed actively
* It's safer than standard SMS because the message isn't stored in the inbox. Information can't get stolen along with the phone
* Users can receive Flash SMS even if they have no storage on their phone
* Users still have the option of saving Flash messages, with the appropriate sender ID, if they choose to do this

**Note** if Flash SMS isn't supported by an operator or mobile phone, the message is still sent as a standard SMS. In case of multiple Flash messages being sent, it’s important to keep in mind that your users will only be able to see the last message they receive.

#### How to send Flash SMS <a href="#h_01f9kgrfs67yf02tvhsk1chbe1" id="h_01f9kgrfs67yf02tvhsk1chbe1"></a>

Unfortunately it's not possible to send Flash SMS via the MessageBird Dashboard at the moment. You can send Flash SMS through our API by simply classifying the message as 'type: flash' in the API call, as shown below:

```
"type":"flash"
```

You can find more information on how to do so in the [SMS messaging](https://developers.messagebird.com/api/sms-messaging/) section on our website for developers.&#x20;

&#x20;

&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/connectivity-platform/sending-sms/using-flash-sms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
